# Method: transferJobs.delete

Deletes a transfer job. Deleting a transfer job sets its status to `https://docs.cloud.google.com/storage-transfer/docs/reference/rest/v1/transferJobs#Status.ENUM_VALUES.DELETED`.

### HTTP request

`DELETE https://storagetransfer.googleapis.com/v1/{jobName=transferJobs/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `jobName` | `string` Required. The job to delete. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `jobName`: - `storagetransfer.jobs.delete` |

### Query parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The ID of the Google Cloud project that owns the job. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).